Bug 964043 - Can't embed any db cartridge to diy application in INT server
Can't embed any db cartridge to diy application in INT server
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 02:46 EDT by Rony Gong
Modified: 2015-05-14 19:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: devenv_3243+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:05:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2013-05-17 02:46:04 EDT
Description of problem:
After INT server reset, create diy application, then embed db cartridge, always fail:
The server did not respond correctly. This may be an issue with the server configuration or with your connection to the server (such as a Web proxy or firewall). Please verify that your proxy server is working correctly
(http://file.rdu.redhat.com:3128/) and that you can access the OpenShift server https://int.openshift.redhat.com/broker/rest/domains/qgong1/applications/q3diy/cartridges



Version-Release number of selected component (if applicable):
int.openshift.redhat.com

How reproducible:
Always

Steps to Reproduce:
1.Create diy application in int server
2.Embed any db cartridge to this diy application.
3.
  
Actual results:
[qgong@dhcp-8-119 int]$ rhc cartridge add -a q3diy -c mognodb-2.2;
Adding mongodb-2.2 to application 'q3diy' ... 
The server did not respond correctly. This may be an issue with the server configuration or with your connection to the server (such as a Web proxy or firewall). Please verify that your proxy server is working correctly
(http://file.rdu.redhat.com:3128/) and that you can access the OpenShift server https://int.openshift.redhat.com/broker/rest/domains/qgong1/applications/q3diy/cartridges

[qgong@dhcp-8-119 int]$ rhc cartridge add -a q3diy -c postgresql-8.4;
Adding postgresql-8.4 to application 'q3diy' ... 
The server did not respond correctly. This may be an issue with the server configuration or with your connection to the server (such as a Web proxy or firewall). Please verify that your proxy server is working correctly
(http://file.rdu.redhat.com:3128/) and that you can access the OpenShift server https://int.openshift.redhat.com/broker/rest/domains/qgong1/applications/q3diy/cartridges

Expected results:
Could embed db cartridge to diy application successfully.

Additional info:
Comment 1 Dan Mace 2013-05-18 08:47:36 EDT
Seems to work as of devenv_3243+; please re-test when INT has been refreshed to at least this revision.
Comment 2 Rony Gong 2013-05-20 04:20:07 EDT
Verified on INT
Could embed any add-cartridge to diy application in INT server now.

Note You need to log in before you can comment on or make changes to this bug.